/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2018 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  l_sql              varchar2(32767);
  e_ind_exists       EXCEPTION;
  PRAGMA exception_init(e_ind_exists, -00955);

BEGIN

  l_sql :=
    'CREATE INDEX XXAS_COM_PRODUCT_USERS_NK1'
    || ' ON XXAS_COM_PRODUCT_USERS (USER_ID)'
    || ' TABLESPACE APPS_TS_TX_IDX';
  EXECUTE IMMEDIATE l_sql;

EXCEPTION

  WHEN e_ind_exists THEN
    null;

END;
/

COMMIT;
EXIT;
